Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 Jan 2009 18:16:21 -0500

>> The list of files closer to the minibuffer is better than closer to the
>> dired buffer because the minibuffer is the place that the user looks at
>> while typing command's arguments for these files.
> Unless our user uses a separate minibuffer-only frame.

In that case the right behavior depends on many things (e.g. depends on
where the minibuffer frame is located w.r.t to selected frame).  To get
this right most of time will require a lot of heuristic code, so we may
as well punt on it and decide that any behavior that's OK for
non-minibuffer-only situations is OK for minibuffer-only situations
as well.

        Stefan